﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="Hangfire.AspNetCore" Version="1.7.9" />
    <PackageReference Include="Hangfire.Core" Version="1.7.9" />
    <PackageReference Include="Hangfire.SqlServer" Version="1.7.9" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="3.1.2" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.1" />
    <PackageReference Include="NLog" Version="4.7.0-rc1" />
    <PackageReference Include="RabbitMQ.Client" Version="6.0.0-rc1" />
    <PackageReference Include="StackExchange.Redis" Version="2.1.0-preview.23" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="5.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="5.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="5.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\PersistanceCore\PersistanceCore.csproj" />
    <ProjectReference Include="..\Persistance\Persistance.csproj" />
    <ProjectReference Include="..\ServiceContract\ServiceContract.csproj" />
    <ProjectReference Include="..\ServiceImplementation\ServiceImplementation.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Config\HangFire\" />
  </ItemGroup>


</Project>
